> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Calculation Task Results



## OpenAPI

````yaml /api-reference/preview.json get /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/results
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/results:
    get:
      tags:
        - Great Britain
        - Great Britain Payroll Run
      summary: Get Payroll Calculation Task Results
      operationId: >-
        get_payroll_calculation_task_results_gb_organizations__organization_id__payrolls__payroll_status_id__tasks_payroll_calculation__task_id__results_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: payroll_status_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Payroll Status Id
        - name: task_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Task Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - success
                  - failed
                type: string
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: prev_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Prev Cursor
        - name: sort
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default:
              - id
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_GBPayrollCalculationResultResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    PaginatedResponse_GBPayrollCalculationResultResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GBPayrollCalculationResultResponse'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
      additionalProperties: true
      type: object
      required:
        - items
        - pagination
      title: PaginatedResponse[GBPayrollCalculationResultResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GBPayrollCalculationResultResponse:
      properties:
        id:
          type: integer
          title: Id
        status:
          type: string
          title: Status
        data:
          anyOf:
            - $ref: '#/components/schemas/payroll__gb__schema__response__Payslip'
            - $ref: '#/components/schemas/Errors'
          title: Data
      additionalProperties: true
      type: object
      required:
        - id
        - status
        - data
      title: GBPayrollCalculationResultResponse
    PaginationMeta:
      properties:
        limit:
          type: integer
          title: Limit
        has_next:
          type: boolean
          title: Has Next
          default: false
        has_prev:
          type: boolean
          title: Has Prev
          default: false
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
        total:
          type: integer
          title: Total
          default: 0
      additionalProperties: true
      type: object
      required:
        - limit
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    payroll__gb__schema__response__Payslip:
      properties:
        payment_period:
          $ref: '#/components/schemas/PayCycle'
          default: MONTH
        employee_id:
          type: string
          title: Employee Id
        current_pay_period:
          $ref: '#/components/schemas/payroll__gb__schema__response__CurrentPayPeriod'
        execution_history:
          anyOf:
            - items:
                $ref: '#/components/schemas/ExecutionHistoryEntry'
              type: array
            - type: 'null'
          title: Execution History
      additionalProperties: true
      type: object
      required:
        - employee_id
        - current_pay_period
      title: Payslip
    Errors:
      properties:
        employee_id:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          title: Employee Id
        error:
          type: string
          title: Error
      additionalProperties: true
      type: object
      required:
        - employee_id
        - error
      title: Errors
    PayCycle:
      type: string
      enum:
        - YEAR
        - MONTH
        - WEEK
        - TWO_WEEK
        - FOUR_WEEK
        - QUARTER
        - BIANNUAL
      title: PayCycle
      description: |-
        Employee pay cadence (WEEK, MONTH, etc.).

        The `UpperStrEnum` base is load-bearing. Legacy callers
        (e.g. `src/payroll/gb/niccalculator.py`) look up entries in enum-keyed
        dicts using raw strings like "MONTH"; this works only because
        `hash(PayCycle.MONTH) == hash("MONTH")`. Do not change the base class
        until those callers have been migrated to pass the enum directly
        (tracked as part of the larger legacy-NIC removal).
    payroll__gb__schema__response__CurrentPayPeriod:
      properties:
        employee:
          $ref: >-
            #/components/schemas/payroll__gb__schema__response__EmployeeCurrentPayPeriod
        employer:
          $ref: >-
            #/components/schemas/payroll__gb__schema__response__EmployerCurrentPayPeriod
      additionalProperties: true
      type: object
      title: CurrentPayPeriod
    ExecutionHistoryEntry:
      properties:
        flow:
          type: string
          title: Flow
        node:
          type: string
          title: Node
      additionalProperties: true
      type: object
      required:
        - flow
        - node
      title: ExecutionHistoryEntry
      description: Entry in the execution history showing flow/node execution path.
    payroll__gb__schema__response__EmployeeCurrentPayPeriod:
      properties:
        totals:
          $ref: '#/components/schemas/payroll__gb__schema__response__EmployeeTotals'
        benefits:
          $ref: '#/components/schemas/EmployeeBenefits'
        taxes:
          $ref: '#/components/schemas/payroll__gb__schema__response__EmployeeTaxes'
        insurance:
          $ref: >-
            #/components/schemas/payroll__gb__schema__response__EmployeeInsurance
        deductions:
          items:
            $ref: '#/components/schemas/DeductionsResponse'
          type: array
          title: Deductions
        reimbursements:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReimbursementResponse'
              type: array
            - type: 'null'
          title: Reimbursements
        salary_sacrifice:
          anyOf:
            - $ref: '#/components/schemas/SalarySacrificeResponse'
            - type: 'null'
        statutory_payments:
          items:
            $ref: '#/components/schemas/StatutoryPayment'
          type: array
          title: Statutory Payments
      additionalProperties: true
      type: object
      title: EmployeeCurrentPayPeriod
    payroll__gb__schema__response__EmployerCurrentPayPeriod:
      properties:
        secondary_class_1_nic:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Secondary Class 1 Nic
          default: '0.00'
        class_1a_nic:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Class 1A Nic
          default: '0.00'
        employer_pension_contribution:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Employer Pension Contribution
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployerCurrentPayPeriod
    payroll__gb__schema__response__EmployeeTotals:
      properties:
        gross_wages:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Gross Wages
          default: '0.00'
        net_wages:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Net Wages
          default: '0.00'
        total_deductions:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Deductions
          default: '0.00'
        total_reimbursements:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Reimbursements
          default: '0.00'
        net_pay:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Net Pay
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployeeTotals
    EmployeeBenefits:
      properties:
        benefits_in_kind:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Benefits In Kind
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployeeBenefits
    payroll__gb__schema__response__EmployeeTaxes:
      properties:
        income_tax_assessment_base:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Income Tax Assessment Base
          default: '0.00'
        income_tax:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Income Tax
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployeeTaxes
    payroll__gb__schema__response__EmployeeInsurance:
      properties:
        insurance_assessment_base:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Insurance Assessment Base
          default: '0.00'
        national_insurance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: National Insurance
          default: '0.00'
      additionalProperties: true
      type: object
      title: EmployeeInsurance
    DeductionsResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
          default: '0.00'
      additionalProperties: true
      type: object
      title: DeductionsResponse
    ReimbursementResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
          title: Amount
          default: '0.00'
      additionalProperties: true
      type: object
      title: ReimbursementResponse
    SalarySacrificeResponse:
      properties:
        total:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total
        items:
          items:
            $ref: '#/components/schemas/AppliedSacrificeResponse'
          type: array
          title: Items
      additionalProperties: true
      type: object
      required:
        - total
      title: SalarySacrificeResponse
    StatutoryPayment:
      properties:
        rti_payment_type:
          type: string
          title: Rti Payment Type
          description: RTI FPS payment type, e.g. SMP/SPP/ShPP
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
          default: '0.00'
      additionalProperties: true
      type: object
      required:
        - rti_payment_type
      title: StatutoryPayment
    AppliedSacrificeResponse:
      properties:
        wage_type_code:
          type: string
          title: Wage Type Code
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        source:
          type: string
          title: Source
      additionalProperties: true
      type: object
      required:
        - wage_type_code
        - amount
        - source
      title: AppliedSacrificeResponse
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````